me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins

## Class Skin

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Colorable
    - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Skin

Direct Known Subclasses:
  BikeSkin

    public class Skin
    extends Colorable

### Constructor Summary

Constructors
Constructor and Description
`Skin()`
`Skin(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset, org.bukkit.inventory.ItemStack skin, org.bukkit.Color color)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `spawnStand(org.bukkit.Location base, SpawnedVehicle owningVehicle)`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Colorable

`getColor, getSkin, getSkinColored, setColor, setSkin`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part

`applyExtraOffset, despawnStand, getHolder, getIsCustomPlaced, getOwningVehicle, getUID, getXOffset, getYOffset, getZOffset, setHolder, setIsCustomPlaced, setOwningVehicle, setUID, setXOffset, setYOffset, setZOffset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Skin

    public Skin(java.lang.Double xOffset,
                java.lang.Double yOffset,
                java.lang.Double zOffset,
                org.bukkit.inventory.ItemStack skin,
                org.bukkit.Color color)

#### Skin

    public Skin()

### Method Detail

#### spawnStand

    public void spawnStand(org.bukkit.Location base,
                           SpawnedVehicle owningVehicle)

Overrides:
  `spawnStand` in class `Part`